Formant: Get bandwidth at time...

A query to the selected Formant object for the bandwidth of the specified formant at the specified time.

## Settings

Formant number
  the ordinal number of the formant, counting up from 0 Hz. Specify "2" for F2 etc.
Time (s)
  the time at which to evaluate the bandwidth.
Units
  the units of the result (hertz or Bark).

## Return value

the estimated bandwidth in hertz or Bark. If Time is not within half a frame width of any frame centre, or If the specified Formant number is greater than the number of formants in the frame, the return value is undefined; otherwise, the formant is considered to belong to the frame whose centre is nearest to the specified time.

## Algorithm

If possible (i.e. if the adjacent frame has enough formants), a linear interpolation is performed between the centre of the frame and the centre of the adjacent frame. With Bark units, the hertz-to-Bark transformation is performed on the two frequencies F ± 1/2 B (after interpolation), and the result is the difference between these two values